#ifndef OVAL_SYSTEM_CHARACTERISTICS
#define OVAL_SYSTEM_CHARACTERISTICS
#include "oval_definitions.h"
#include "oval_variables.h"

	struct Oval_sys_interface {
		char* interface_name;
		char* ip_address;
		char* mac_address;
	};

	struct Oval_system_info{
		char* os_name;
		char* os_version;
		char* architecture;
		char* primary_host_name;
		struct Oval_sys_interface* interfaces[];
	};

	struct Oval_system_data{
		int family;/*One of Oval_family*/
		int catagory;/*One of Family.Category*/
	};

	enum Syschar_collection_flag
		{SYSCHAR_FLAG_ERROR, SYSCHAR_FLAG_COMPLETE, SYSCHAR_FLAG_INCOMPLETE, SYSCHAR_FLAG_DOES_NOT_EXIST, SYSCHAR_FLAG_NOT_COLLECTED, SYSCHAR_FLAG_NOT_APPLICABLE};

	struct Oval_system_characteristic{
		int flag;/*One of Syschar_collection_flag*/
		char** message;
		struct Oval_system_info* system_info;
		struct Oval_object* oval_object;
		struct Oval_variable_binding** oval_variable_bindings;
		struct Oval_system_data** oval_system_data;
	};
#endif
